/* ---------------button1 ------------*/
.cta {
    border: none;
    cursor: pointer;
  }
  
  .cta span {
    padding-bottom: 7px;
    font-size: 14px;
    /* padding-right: 15px; */
    color: white;
  }
  
  .cta svg {
    transform: translateX(-8px);
    transition: all 0.3s ease;
  }
  
  .cta:hover svg {
    transform: translateX(0);
  }
  
  .cta:active svg {
    transform: scale(0.9);
  }
  
  .hover-underline-animation {
    position: relative;
    color: black;
    padding-bottom: 20px;
  }
  
  .hover-underline-animation:after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 5px;
    left: 0;
    background-color: #ffffff;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
  }
  
  .cta:hover .hover-underline-animation:after {
    transform: scaleX(1);
    transform-origin: bottom left;
  }
  

  /* ---------------button two ------------*/
.btnAnimationRight {
    display: inline-block;
    background-color: var(--color-green-secondary);
    border: none;
    color: #FFFFFF;
    text-align: center;
    transition: all 0.5s;
    cursor: pointer;
    padding: 5px 20px;
    border-radius: 8px;
   }

  .btnAnimationRight:hover {
    background-color: var(--color-green);
  }
   
   .btnAnimationRight span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
   }
   
   .btnAnimationRight span:after {
    content: '»';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -15px;
    transition: 0.5s;
   }
   
   .btnAnimationRight:hover span {
    padding-right: 15px;
   }
   
   .btnAnimationRight:hover span:after {
    opacity: 1;
    right: 0;
   }


   /* ---------------enviar mensaje ------------*/
.btnSend {
  font-family: inherit;
  background: linear-gradient(to bottom, var(--color-green-secondary) 0%,var(--color-green) 100%);
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.2);
  transition: all 0.3s;
  cursor: pointer;
  padding: 2px 20px;
  border-radius: 8px;
}

.btnSend:hover {
  transform: translateY(-3px);
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.3);
}

.btnSend:active {
  transform: scale(0.95);
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
}

.btnSend span {
  display: block;
  margin-left: 0.4em;
  transition: all 0.3s;
}

.btnSend svg {
  width: 18px;
  height: 18px;
  fill: white;
  transition: all 0.3s;
}

.btnSend .svg-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.2);
  margin-right: 0.5em;
  transition: all 0.3s;
}

.btnSend:hover .svg-wrapper {
  background-color: rgba(255, 255, 255, 0.5);
}

.btnSend:hover svg {
  transform: rotate(45deg);
}




/*--------------- buttonSocial ------------*/

/* Contenedor que agrupa los botones sociales y de scroll */
.buttonContainer {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 1000;
  display: flex;
  flex-direction: column; /* Agrupa los botones de arriba hacia abajo */
  gap: 10px; /* Espaciado uniforme entre botones */
}

/* Estilo general para los botones sociales */

.buttonSocial {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  transition: transform 0.3s ease, opacity 0.3s ease;
  z-index: 1000;
}

.buttonSocial a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.buttonSocial .button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border: none;
  background: #e8e8e8;
  border-radius: 50%;
  transition: transform 0.3s, box-shadow 0.3s;
  box-shadow: 1px 1px 3px #cacaca, -1px -1px 3px #ffffff;
}

.buttonSocial:hover .button {
  transform: scale(1.1);
  box-shadow: 1px 1px 5px #cacaca, -1px -1px 5px #ffffff;
}

.main-button {
  position: relative;
  display: grid;
  place-items: center;
  padding: 10px;
  border: none;
  background: #e8e8e8;
  box-shadow: 1px 1px 3px #cacaca, -1px -1px 3px #ffffff;
  border-radius: 50%;
  transition: 0.2s;
  z-index: 100;
}

.main-button:hover {
  background-color: #e8e8e8 !important;
}

/* Estilo de cada botón individual */
.discord-button:hover {
  background: #5865F2;
}
.buttonSocial:hover .discord-button {
  translate: 70px 0px;
}

.twitter-button:hover {
  background: #1CA1F1;
}
.buttonSocial:hover .twitter-button {
  translate: 47px -47px;
}

.reddit-button:hover {
  background: #FF4500;
}
.buttonSocial:hover .reddit-button {
  translate: 0px -70px;
}

.messenger-button:hover {
  background: #0093FF !important;
}
.buttonSocial:hover .messenger-button {
  translate: -47px -47px;
}

.pinterest-button:hover {
  background: #F0002A;
}
.buttonSocial:hover .pinterest-button {
  translate: -70px 0px;
}

.instagram-button:hover {
  background: #F914AF !important;
}
.buttonSocial:hover .instagram-button {
  translate: -70px 0px;
}

.snapchat-button:hover {
  background: #FFFC00;
}
.buttonSocial:hover .snapchat-button {
  translate: 0px 70px;
}

.whatsapp-button:hover {
  background: #25D366 !important; 
}
.buttonSocial:hover .whatsapp-button {
  translate: 0px -70px;
}

/* Estilo del botón de scroll */
#scrollToTopBtn {
  display: none; /* Oculto por defecto */
  margin-bottom: 10px;
  width: 50px;
  height: 50px;
  align-items: center;
  justify-content: center;
  background-color: var(--color-purple);
  color: white;
  border: none;
  border-radius: 50%;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: opacity 0.3s ease, background-color 0.3s;
}

#scrollToTopBtn:hover {
  background-color: #0056b3;
}
